<template>
  <div>
    <div class="content">
      <dataBreadcrumb :breads="breads"></dataBreadcrumb>
      <dataTable :table-data="tableData" :columns="columns" :is-pageobj="false" >
        <el-table-column slot="operate" label="操作" align="center" fixed="right" width="100">
          <template slot-scope="scope">
           <el-button  type="text" size="small" @click="handleSee(scope.row.noticeId)">查看</el-button>
          </template>
        </el-table-column>
      </dataTable>
    </div>
  </div>
</template>

<script>
import {
  simpleList
} from '@api/common/list'
import dataBreadcrumb from '@components/dataBreadcrumb.vue'
import dataTable from '@components/nopageTable.vue'
export default {
  name: 'bidingList',
  components: {
    dataTable,
    dataBreadcrumb
  },
  data() {
    return {
      projectId: 2,
      breads: ['招标管理 ', '招标项目管理', '工作台'],
      tableData: [],
      columns: [{
        label: '公告名称',
        prop: 'title',
      },
      {
        label: '创建时间',
        prop: 'updateTime',
        sortable: true
      },
      {
        slot: 'operate'
      }
      ] // 操作列

    }
  },
  created() {
    this.getabortiveList()
  },
  methods: {
    handleSee(id) {	
      this.$router.push(`/supply/bid/joinProject/bidStage/failList/see?id=${id}`)
    },
    async getabortiveList() {
      try {
		  let message={};
		  message.projectId=localStorage.getItem("projectId");
		  message.type="ABORTIVE"
        const {
          data,
          code
        } = await simpleList(message)
        if (code === 200) {
          this.tableData = data
        }
      } catch (e) {
        console.log(e)
      }
    }
  }
}
</script>

<style scoped>
	.absolute {
		position: absolute;
		top: 65px
	}
</style>